package com.miya.draw.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.beans.factory.annotation.Value;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author ：djf
 * @date ：2022-10-24
 * @description：活动业务参数配置
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="activity_config对象", description="")
@TableName("activity_config")
public class ActivityConfig implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "活动Id")
    private Long activityId;

    @ApiModelProperty(value = "抽奖方式  1满额抽奖   2足量抽奖")
    private Integer raffle;

    @ApiModelProperty(value = "抽奖最大次数")
    private Integer drawMaxCount;

    @ApiModelProperty(value = "足量抽奖时每多少件加1次次数")
    private Integer amountUnit;

    @ApiModelProperty(value = "足量抽奖时理论上最多买多少件")
    private Integer maxAmount;

    @ApiModelProperty(value = "满额抽奖时每多少元加1次次数")
    public String countUnit;

    @ApiModelProperty(value = "满额抽奖时理论上最多花费金额 元")
    public Long maxMoney;

    @ApiModelProperty(value = "抽奖次数有效时间  1：当天有效  2：两天内有效以此类推")
    private int validTime;

    @ApiModelProperty(value = "0 不限制门店   1限制门店")
    private Integer activityStoreStatus;

    @ApiModelProperty(value = "活动是否有效 0无效 1有效")
    private Integer validStatus;

    @ApiModelProperty(value = "单个用户限制奖品Id，多个用逗号隔开")
    private Long prizeId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

}
