package com.miya.draw.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miya.draw.entity.ActivityConfig;
import com.miya.draw.mapper.ActivityConfigMapper;
import com.miya.draw.service.IActivityConfigService;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ：djf
 * @date ：2022-10-25
 * @description：
 */
@Service
public class ActivityConfigServiceImpl extends ServiceImpl<ActivityConfigMapper, ActivityConfig> implements IActivityConfigService {

    @Override
    public ActivityConfig getConfig() {
        LambdaQueryWrapper<ActivityConfig> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(ActivityConfig::getValidStatus,1);
        wrapper.last("order by create_time desc ");
        List<ActivityConfig> list = baseMapper.selectList(wrapper);
        if(!CollectionUtils.isEmpty(list)){
            return list.get(0);
        }
        return null;
    }


}
